from django.http import HttpResponse, HttpResponseRedirect
from Info.func import is_login

class LoginCheckMiddleware:
    def __init__(self, get_response):
        self.get_response = get_response
        # One-time configuration and initialization.

    def __call__(self, request):
        # Code to be executed for each request before
        # the view (and later middleware) are called.
        exclude_url = ('/', '/register/' ,'/forgetPassword/', '/logout/')
        print('path_info:', request.path_info)
        if request.path_info in exclude_url:
            pass
        else:
            if not is_login(request):
                return HttpResponse(status=403)
                # return HttpResponseRedirect('/')

        response = self.get_response(request)

        # Code to be executed for each request/response after
        # the view is called.

        return response